Module tdlight.api
Package it.tdlight.jni

# Class TdApi.EditMessageLiveLocation

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Message>
it.tdlight.jni.TdApi.EditMessageLiveLocation

Enclosing class:
  TdApi

public static final class TdApi.EditMessageLiveLocation extends TdApi.Function<TdApi.Message>
Edits the message content of a live location. Messages can be edited for a limited period of time specified in the live location. Returns the edited message after the edit is completed on the server side.

Returns `Message`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
The chat the message belongs to.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`heading`
The new direction in which the location moves, in degrees; 1-360.
`TdApi.Location`
`location`
New location content of the message; pass null to stop sharing the live location.
`long`
`messageId`
Identifier of the message.
`int`
`proximityAlertRadius`
The new maximum distance for proximity alerts, in meters (0-100000).
`TdApi.ReplyMarkup`
`replyMarkup`
The new message reply markup; pass null if none; for bots only.

## Constructor Summary

Constructors
Constructor
Description
`EditMessageLiveLocation()`
Edits the message content of a live location.
`EditMessageLiveLocation(long chatId, long messageId, TdApi.ReplyMarkup replyMarkup, TdApi.Location location, int heading, int proximityAlertRadius)`
Edits the message content of a live location.
`EditMessageLiveLocation(DataInput input)`
Edits the message content of a live location.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
The chat the message belongs to.

### messageId

public long messageId
Identifier of the message.

### replyMarkup

public TdApi.ReplyMarkup replyMarkup
The new message reply markup; pass null if none; for bots only.

### location

public TdApi.Location location
New location content of the message; pass null to stop sharing the live location.

### heading

public int heading
The new direction in which the location moves, in degrees; 1-360. Pass 0 if unknown.

### proximityAlertRadius

public int proximityAlertRadius
The new maximum distance for proximity alerts, in meters (0-100000). Pass 0 if the notification is disabled.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### EditMessageLiveLocation

public EditMessageLiveLocation()
Edits the message content of a live location. Messages can be edited for a limited period of time specified in the live location. Returns the edited message after the edit is completed on the server side.

Returns `Message`

### EditMessageLiveLocation

public EditMessageLiveLocation(long chatId, long messageId, TdApi.ReplyMarkup replyMarkup, TdApi.Location location, int heading, int proximityAlertRadius)
Edits the message content of a live location. Messages can be edited for a limited period of time specified in the live location. Returns the edited message after the edit is completed on the server side.

Returns `Message`

Parameters:
  `chatId` - The chat the message belongs to.
  `messageId` - Identifier of the message.
  `replyMarkup` - The new message reply markup; pass null if none; for bots only.
  `location` - New location content of the message; pass null to stop sharing the live location.
  `heading` - The new direction in which the location moves, in degrees; 1-360. Pass 0 if unknown.
  `proximityAlertRadius` - The new maximum distance for proximity alerts, in meters (0-100000). Pass 0 if the notification is disabled.

  Returns `Message`

### EditMessageLiveLocation

public EditMessageLiveLocation(DataInput input) throws IOException
Edits the message content of a live location. Messages can be edited for a limited period of time specified in the live location. Returns the edited message after the edit is completed on the server side.

Returns `Message`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`